Package ru.bgcrm.model

# Class Customer

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.model.SearchableIdTitle
ru.bgcrm.model.customer.Customer
ru.bgcrm.model.Customer

All Implemented Interfaces:
  `Serializable`, `Comparable<Customer>`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

@Deprecated public class Customer extends Customer
Deprecated.
Use `Customer` instead, this class will be moved there soon.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OBJECT_TYPE`
  Deprecated.

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Customer()`
  Deprecated.

- ## Method Summary

  ### Methods inherited from class ru.bgcrm.model.customer.Customer

  `compareTo, equals, getCreatedDate, getCreatedUserId, getCreateTime, getCreateUserId, getGroupIds, getParamGroupId, getPassword, getReference, getTitlePattern, getTitlePatternId, hashCode, setCreatedDate, setCreatedUserId, setCreateTime, setCreateUserId, setGroupIds, setParamGroupId, setPassword, setReference, setTitlePattern, setTitlePatternId, toLog, toString`

  ### Methods inherited from class ru.bgcrm.model.SearchableIdTitle

  `getSearchMode, setSearchMode`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `getId, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Field Details

  - ### OBJECT_TYPE

    public static final String OBJECT_TYPE
    Deprecated.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Customer

    public Customer()
    Deprecated.